Skip to main content
PATCH

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

Path Parameters

account_id
string
required

Globally unique public identifier for an account.

Required string length: 14 - 42

Body

application/json

Request to set Auto Earn preferences for an account.

staking
enum<string>

Staking Auto Earn preference. Omit to leave unchanged.

Available options:
enabled,
disabled
base_rewards
enum<string>

Base-rewards Auto Earn preference. Omit to leave unchanged.

Available options:
enabled,
disabled
opt_in_rewards
enum<string>

Opt-in-rewards Auto Earn preference. Omit to leave unchanged.

Available options:
enabled,
disabled

Response

Successful response

data
object
required

Response data for updated Auto Earn preferences.